org.openstreetmap.josm.plugins.streetside.io.export

## Class StreetsideExportDownloadThread

- java.lang.Object
- - java.lang.Thread
  - - org.openstreetmap.josm.plugins.streetside.io.export.StreetsideExportDownloadThread

- All Implemented Interfaces:
    Runnable, ICachedLoaderListener

      public class StreetsideExportDownloadThread
      extends Thread
      implements ICachedLoaderListener

  This is the thread that downloads one of the images that are going to be exported and writes them in a `ArrayBlockingQueue`.
  See Also:
    `StreetsideExportManager`, `StreetsideExportWriterThread`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

    - ### Nested classes/interfaces inherited from interface org.openstreetmap.josm.data.cache.ICachedLoaderListener

      `ICachedLoaderListener.LoadResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideImage` | `image`
    `private ArrayBlockingQueue<BufferedImage>` | `queue`
    `private ArrayBlockingQueue<StreetsideAbstractImage>` | `queueImages`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideExportDownloadThread(StreetsideImage image, ArrayBlockingQueue<BufferedImage> queue, ArrayBlockingQueue<StreetsideAbstractImage> queueImages)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadingFinished(CacheEntry data, CacheEntryAttributes attributes, ICachedLoaderListener.LoadResult result)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### queue

          private final ArrayBlockingQueue<BufferedImage> queue

    - #### queueImages

          private final ArrayBlockingQueue<StreetsideAbstractImage> queueImages

    - #### image

          private final StreetsideImage image

  - ### Constructor Detail

    - #### StreetsideExportDownloadThread

          public StreetsideExportDownloadThread(StreetsideImage image,
                                                ArrayBlockingQueue<BufferedImage> queue,
                                                ArrayBlockingQueue<StreetsideAbstractImage> queueImages)

      Main constructor.
      Parameters:
        `image` - Image to be downloaded.
        `queue` - Queue of `BufferedImage` objects for the `StreetsideExportWriterThread`.
        `queueImages` - Queue of `StreetsideAbstractImage` objects for the `StreetsideExportWriterThread`.

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### loadingFinished

          public void loadingFinished(CacheEntry data,
                                      CacheEntryAttributes attributes,
                                      ICachedLoaderListener.LoadResult result)

      Specified by:
        `loadingFinished` in interface `ICachedLoaderListener`

JOSM Plugins